Get a workspace role
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/roles/{roleId} \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"assignableAt": [
"workspace"
],
"permissions": [
"<string>"
],
"effectivePermissions": [
"<string>"
],
"assignableByCaller": true,
"id": "<string>",
"description": "<string>",
"parentRoleId": "<string>",
"apiAssignable": true,
"reasons": [
"<string>"
],
"revision": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}Get a workspace role
Gets a built-in workspace role. A custom role ID returns 404 ROLE_NOT_FOUND.
Required scope: workspace.roles.read
GET
/
api
/
public
/
v1
/
workspaces
/
{workspaceId}
/
roles
/
{roleId}
Get a workspace role
curl --request GET \
--url https://{platformHost}/api/public/v1/workspaces/{workspaceId}/roles/{roleId} \
--header 'X-API-Key: <api-key>'{
"success": true,
"data": {
"role": {
"roleId": "builtin.workspace.restricted_member",
"name": "RESTRICTED_MEMBER",
"assignableAt": [
"workspace"
],
"permissions": [
"<string>"
],
"effectivePermissions": [
"<string>"
],
"assignableByCaller": true,
"id": "<string>",
"description": "<string>",
"parentRoleId": "<string>",
"apiAssignable": true,
"reasons": [
"<string>"
],
"revision": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "<string>",
"messages": [
"<string>"
],
"retryable": true,
"details": {}
}
}Use this endpoint to get one built-in workspace role by ID. The response includes the role’s permissions, its effective permissions, and
assignableByCaller. A custom role ID returns 404 ROLE_NOT_FOUND.
To list all built-in roles, use List workspace roles. The request needs the workspace.roles.read scope.Authorizations
platformApiKeybearerPlatformKey
Path Parameters
Was this page helpful?